# Uses of Interface
org.codehaus.janino.Visitor.ElementValueVisitor

Packages that use Visitor.ElementValueVisitor
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Visitor.ElementValueVisitor in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Visitor.ElementValueVisitor
Modifier and Type
Method
Description
`final <R, EX extends Throwable>
R`
Java.AbstractAnnotation.`accept(Visitor.ElementValueVisitor<R,EX> visitor)`
`<R, EX extends Throwable>
R`
Java.ElementValue.`accept(Visitor.ElementValueVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.ElementValueVisitor` for the concrete `Java.ElementValue` type.
`<R, EX extends Throwable>
R`
Java.ElementValueArrayInitializer.`accept(Visitor.ElementValueVisitor<R,EX> visitor)`
`final <R, EX extends Throwable>
R`
Java.Rvalue.`accept(Visitor.ElementValueVisitor<R,EX> visitor)`